# rustpan

It's not a dust pan, it's a rust pan. (A cargo cleaner)

> See `CHANGELOG` for info on [v0.1.2](https://git.red-green.com/david/rustpan/src/v0.1.2)

## Installation

Simple `cargo install --path .`

## How it works

It's a simple rust crate that goes thru the current working directory finding crates (via `target` directory) and calls `cargo clean` to reduce the number of files stored on the file system.

As of [v0.1.1](https://git.red-green.com/david/rustpan/src/v0.1.1) it also supports nested crates... (this feature is further enhanced in [v0.1.2](https://git.red-green.com/david/rustpan/src/v0.1.2))

```
# E.G.
dev/rust/major_project/
dev/rust/major_project/crate1/
dev/rust/major_project/crate1/src/
dev/rust/major_project/crate1/target/
dev/rust/major_project/crate2/
dev/rust/major_project/crate2/src/
dev/rust/major_project/crate2/target/
dev/rust/major_project/crate3/
dev/rust/major_project/crate3/src/
dev/rust/major_project/crate3/target/
```

The above will be cleaned even if you run rust pan from `dev/rust/` (Or you could run it in `dev/rust/major_project`, which might be better if you only wanted to clean just a handful of crates)

> In [v0.1.2](https://git.red-green.com/david/rustpan/src/v0.1.2), the above can also be cleaned from `dev/`
